path: /build/build/yarl-dev-python-1.9.4.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 -test python_targets_python3_9" emerge dev-python/yarl -pv -t && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 -test python_targets_python3_9" emerge -j ${JOBS} --nodeps dev-python/yarl
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/yarl && luet-portage --dir /pkgdir/yarl
    dev-python/yarl && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:890519c14355441771e08d6d01e6b471de1490488cacb3898ab8138f85527fbf
  package:
    name: yarl
    version: 1.9.4
    category: dev-python
    use_flags:
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - -test
    - python_targets_python3_9
    requires:
    - name: multidict
      version: '>=0'
      category: dev-python
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Yet another URL library
    uri:
    - https://github.com/aio-libs/yarl/
    license: Apache-2.0
    buildtimestamp: 2024-02-11 12:21:22.32105839 +0000 UTC m=+91.252109879
    labels:
      BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/setuptools-42.0.2[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      DEPEND: '>=dev-python/multidict-4.0[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/idna-2.0[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        test? ( dev-python/pytest[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        )'
      IUSE: test python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
        python_targets_python3_8
      RDEPEND: '>=dev-python/multidict-4.0[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/idna-2.0[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]'
      emerge.packages: dev-python/yarl
      kit: python-modules-kit
      original.package.name: dev-python/yarl
      original.package.slot: "0"
      original.package.version: 1.9.4
    treedir: /build/packages
  package_dir: /pkgdir/yarl
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 99ce9a7bb4339cbd587b7e2befae3c66d284e6b0ff0af3fbe144af8239166683
compressiontype: zstd
files:
- usr/lib/python3.9/site-packages/yarl/__init__.py
- usr/lib/python3.9/site-packages/yarl/__init__.pyi
- usr/lib/python3.9/site-packages/yarl/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/yarl/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/yarl/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/yarl/__pycache__/_quoting.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/yarl/__pycache__/_quoting.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/yarl/__pycache__/_quoting.cpython-39.pyc
- usr/lib/python3.9/site-packages/yarl/__pycache__/_quoting_py.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/yarl/__pycache__/_quoting_py.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/yarl/__pycache__/_quoting_py.cpython-39.pyc
- usr/lib/python3.9/site-packages/yarl/__pycache__/_url.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/yarl/__pycache__/_url.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/yarl/__pycache__/_url.cpython-39.pyc
- usr/lib/python3.9/site-packages/yarl/_quoting.py
- usr/lib/python3.9/site-packages/yarl/_quoting_c.pyi
- usr/lib/python3.9/site-packages/yarl/_quoting_c.pyx
- usr/lib/python3.9/site-packages/yarl/_quoting_py.py
- usr/lib/python3.9/site-packages/yarl/_url.py
- usr/lib/python3.9/site-packages/yarl/py.typed
- usr/lib/python3.9/site-packages/yarl-1.9.4-py3.9.egg-info/PKG-INFO
- usr/lib/python3.9/site-packages/yarl-1.9.4-py3.9.egg-info/SOURCES.txt
- usr/lib/python3.9/site-packages/yarl-1.9.4-py3.9.egg-info/dependency_links.txt
- usr/lib/python3.9/site-packages/yarl-1.9.4-py3.9.egg-info/not-zip-safe
- usr/lib/python3.9/site-packages/yarl-1.9.4-py3.9.egg-info/requires.txt
- usr/lib/python3.9/site-packages/yarl-1.9.4-py3.9.egg-info/top_level.txt
- usr/share/doc/yarl-1.9.4/README.rst.bz2
- var/db/pkg/dev-python/yarl-1.9.4/BDEPEND
- var/db/pkg/dev-python/yarl-1.9.4/BUILD_TIME
- var/db/pkg/dev-python/yarl-1.9.4/CATEGORY
- var/db/pkg/dev-python/yarl-1.9.4/CBUILD
- var/db/pkg/dev-python/yarl-1.9.4/CFLAGS
- var/db/pkg/dev-python/yarl-1.9.4/CHOST
- var/db/pkg/dev-python/yarl-1.9.4/CONTENTS
- var/db/pkg/dev-python/yarl-1.9.4/COUNTER
- var/db/pkg/dev-python/yarl-1.9.4/CXXFLAGS
- var/db/pkg/dev-python/yarl-1.9.4/DEFINED_PHASES
- var/db/pkg/dev-python/yarl-1.9.4/DEPEND
- var/db/pkg/dev-python/yarl-1.9.4/DESCRIPTION
- var/db/pkg/dev-python/yarl-1.9.4/EAPI
- var/db/pkg/dev-python/yarl-1.9.4/FEATURES
- var/db/pkg/dev-python/yarl-1.9.4/HOMEPAGE
- var/db/pkg/dev-python/yarl-1.9.4/INHERITED
- var/db/pkg/dev-python/yarl-1.9.4/IUSE
- var/db/pkg/dev-python/yarl-1.9.4/IUSE_EFFECTIVE
- var/db/pkg/dev-python/yarl-1.9.4/KEYWORDS
- var/db/pkg/dev-python/yarl-1.9.4/LDFLAGS
- var/db/pkg/dev-python/yarl-1.9.4/LICENSE
- var/db/pkg/dev-python/yarl-1.9.4/PF
- var/db/pkg/dev-python/yarl-1.9.4/RDEPEND
- var/db/pkg/dev-python/yarl-1.9.4/RESTRICT
- var/db/pkg/dev-python/yarl-1.9.4/SIZE
- var/db/pkg/dev-python/yarl-1.9.4/SLOT
- var/db/pkg/dev-python/yarl-1.9.4/USE
- var/db/pkg/dev-python/yarl-1.9.4/environment.bz2
- var/db/pkg/dev-python/yarl-1.9.4/repository
- var/db/pkg/dev-python/yarl-1.9.4/yarl-1.9.4.ebuild
package_cacheimage: ""
runtime:
  name: yarl
  version: 1.9.4
  category: dev-python
  use_flags:
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - -test
  - python_targets_python3_9
  requires:
  - name: idna
    version: '>=0'
    category: dev-python
  - name: multidict
    version: '>=0'
    category: dev-python
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Yet another URL library
  uri:
  - https://github.com/aio-libs/yarl/
  license: Apache-2.0
  labels:
    BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/setuptools-42.0.2[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    DEPEND: '>=dev-python/multidict-4.0[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/idna-2.0[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      test? ( dev-python/pytest[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      )'
    IUSE: test python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
      python_targets_python3_8
    RDEPEND: '>=dev-python/multidict-4.0[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/idna-2.0[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]'
    emerge.packages: dev-python/yarl
    kit: python-modules-kit
    original.package.name: dev-python/yarl
    original.package.slot: "0"
    original.package.version: 1.9.4
